
Redmine - Defect #3483

Relative url for source links in notifications

2009-06-12 01:34 - William Baum

Status: Closed Start date: 2009-06-12

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 80%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.2.1

Description

The email of an issue that includes a "source:" link is included in the email as a relative link ala:

<a href="/repositories/entry/..." class="source">source:...</a>

 The link needs to be made absolute.

Not sure if this applies to other links besides source: links..

Ruby version              1.8.6 (i386-mswin32)

RubyGems version          1.3.1

Rails version             2.1.2

Related issues:

Related to Redmine - Feature #4052: Cross-project redmine links with alternat... New 2009-10-19

Associated revisions

Revision 13219 - 2014-07-05 12:43 - Jean-Philippe Lang

Fixed relative "source" links in email notifications (#3483).

Patch by William Baum.

Revision 13221 - 2014-07-06 12:27 - Jean-Philippe Lang

Merged r13219 (#3483).

History

#1 - 2009-10-19 06:25 - William Baum

- File source_export-only_path.patch added

- % Done changed from 0 to 80

This issue should be resolved with the attached patch.

The link_to for source: and export: links wasn't setting :only_path => only_path, so the links weren't being converted to absolute links in emails, etc..

Index: app/helpers/application_helper.rb

===================================================================

--- app/helpers/application_helper.rb    (revision 2879)

+++ app/helpers/application_helper.rb    (working copy)

@@ -527,7 +527,7 @@

             if project && project.repository

               name =~ %r{^[/\\]*(.*?)(@([0-9a-f]+))?(#(L\d+))?$}

               path, rev, anchor = $1, $3, $5

-              link = link_to h("#{prefix}:#{name}"), {:controller => 'repositories', :action => 'entry', :id 

=> project,

+              link = link_to h("#{prefix}:#{name}"), {:only_path => only_path, :controller => 'repositories',

 :action => 'entry', :id => project,

                                                       :path => to_path_param(path),

                                                       :rev => rev,

                                                       :anchor => anchor,

 Please also see Feature #4052 for additional enhancements to source and export links, as well as enhancements to commit, and revision links from 
#3346.

--Bill

#2 - 2013-01-14 10:30 - Daniel Felix

I tested it with this comment. I was able to reproduce it. I get a mail with some invalid link. This should be corrected.

#3 - 2013-01-14 10:31 - Daniel Felix

- Status changed from New to Confirmed

- Priority changed from Low to Normal

- Affected version (unused) changed from 0.8.4 to 2.2.1

- Affected version changed from 0.8.4 to 2.2.1

#4 - 2013-01-14 10:35 - Etienne Massip

- Target version set to Candidate for next minor release

#5 - 2014-04-20 01:00 - Toshi MARUYAMA

- Related to Feature #4052: Cross-project redmine links with alternate link text for source and export links. added

#6 - 2014-07-05 12:44 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.5.2

- Resolution set to Fixed

Patch applied in r13219, thanks.

#7 - 2014-07-06 12:27 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#8 - 2014-07-06 12:38 - Jean-Philippe Lang

- Subject changed from Relative rather than absolute href links in issue emails... to Relative url for source links in notifications

Files

source_export-only_path.patch 895 Bytes 2009-10-19 William Baum
